## $Id: gif2png.spec,v 1.5 2008/02/19 02:32:21 jkeating Exp $


%{!?release_func:%global release_func() %1%{?dist}}

Summary:	A GIF to PNG converter
Name:		gif2png
Version:	2.5.1
Release:	%release_func 4
License:	BSD
Group:		Applications/Multimedia
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%name-%version.tar.gz
Patch0:		ftp://ftp.debian.org/debian/pool/main/g/gif2png/gif2png_2.5.1-3.diff.gz
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libpng-devel

%package -n web2png
Summary:	A GIF to PNG converter for entire directory hierarchies
Group:		Applications/Multimedia
Requires:	gif2png = %version-%release
Requires:	python


%description
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

There exists a 'web2png' program in a separate package which is able
to convert entire directory hierarchies.


%description -n web2png
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

The distribution also includes a Python script, web2png, that will
convert entire web hierarchies (images and HTML or PHP pages).


%prep
%setup -q
%patch0 -p1

cat debian/patches/* | patch -p1 


%build
%configure
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%_bindir/gif2png
%_mandir/*/gif2png.*

%files -n web2png
%defattr(-,root,root,-)
%_bindir/web2png
%_mandir/*/web2png.*



%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5.1-4
- Autorebuild for GCC 4.3

* Fri Sep 15 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-3
- added Debian patchset to make it build with current libpng

* Sat Feb 18 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-2
- rebuilt for FC5

* Tue Jul  5 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-1
- Initial build.
